[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TAcceptDateEvent

TAcceptDateEvent - generic event handling method for accepting a date from a dialog.

## Declaration

Source position: editbtn.pas line 585

`type TAcceptDateEvent = procedure(`
`Sender: TObject;`
`var ADate: TDateTime;`
`var AcceptDate: Boolean`
`) of object;`

## Arguments

`Sender` |  | Object generating the event notification.
`ADate` |  | TDateTime value examined in the method.
`AcceptDate` |  | Indicates if the Date/Time can be accepted when True.

## Description

TAcceptDateEvent is an object procedure which specifies an event handler used to examine and verify a TDateTime value.

Sender is the object generating the event notification.

ADate is the TDateTime value examined in the event handler.

AcceptDate is a variable Boolean argument which indicates if the TDateTime value meets the criteria implemented in the event handler. Set AcceptDate to False to indicate that the TDateTime value should be rejected.

TAcceptDateEvent is the type used to implement the OnAcceptDate property in TDateEdit.

## See also

TDateEdit.OnAcceptDate |  | Event handler signalled to accept or reject a new date value selected using the calendar dialog for the control.